Subject: [sidr] Proposed -03 signature block format, reserved field

From: Jeffrey Haas <[email-masked]>
Date: Wed, 28 Mar 2012 03:35:11 -0400

Per mic comment:
The slides propose a 8 octet "reserved field".

Instead, consider making it a container for TLVs.  Length field of 2 octets.
Consider immediately specifying TLVs in it: 1 (or 2?) octet code point, 2
octet lengths.  Immediately request a registry for this reserved section
with first come-first served/experimental code points.

One example would be to embed secured community values.  Note that this
would be distinct from flagging that we'd want to note that we should sign
the community path attribute.  The problem with signing the community
attribute is that there is a strong expectation in that path attribute that
it may be modified on a hop-by-hop basis.

-- Jeff